Subject: bug#3643: emacs -Q doesn't fit on the user's screen

From: martin rudalics <[email-masked]>
Date: Wed, 20 Jan 2010 10:27:24 +0100

> The main reason is that Firefox calculates its window height before
 > mapping the window.  Emacs on the other hand first maps with tool bar
 > off and later adds that (in lisp) and the menu bar.  Font changes in
 > lisp are also applied after the window is shown.

The main reason is that adding/removing the toolbar or changing the font
are allowed to change the height of the Emacs frame in order to keep the
number of displayed lines constant.  This looks like an eternal pain to
me.  Can't we make this feature customizable at least?

martin